classification
Title: Add a language switch to the Python documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, inada.naoki, larry, mdk, ned.deily, terry.reedy, vstinner
Priority: normal Keywords:

Created on 2017-07-26 14:10 by mdk, last changed 2018-07-02 19:56 by larry. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2652 merged mdk, 2017-07-26 14:10
PR 3023 merged python-dev, 2017-08-08 11:55
PR 3024 merged python-dev, 2017-08-08 11:56
Messages (9)
msg299234 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-07-26 14:10
A language switch, like the actual version switch, should allow to change from a translation to another.

I mean jumping from docs.python.org/3/ to docs.python.org/fr/3/ and so on.

It's already discussed in PEP 545.
msg299447 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-29 02:25
I left out 2.7 because I don't know if the 2.7 docs have been or will be included.  

I am looking forward to this because I know someone who programs in Python and is also looking to learn 'professional' Japanese, including CS.  I myself might try the Spanish translations, if there are any.
msg299458 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-07-29 06:32
@terry About Japanese translation, Inada Naoki is the coordinator, their repository is created (https://github.com/python/python-docs-ja) they just have to push now.

Once this language switch fully tested / implemented / released, it will be easy to add a language. Rules to add a language to the picker are described in PEP 545 (translation have to meet criterias like having a fully translated tutorial).

Spannish translation exist too, here https://github.com/PyAr/tutorial/commits/master but I don't remember if they contacted us about porting it to docs.python.org.

FYI I try to document which language is at which step of landing to d.p.o here: https://mdk.fr/blog/python-documentation-translation.html, coordinators are documented here: https://docs.python.org/devguide/experts.html#documentation-translations

FTR I'm currently testing the new switchers locally, I should be able to remove the "WIP" soon.
msg299831 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-07 08:27
New changeset dff9b5f9d62aa0b23f8a255867d09d11890efd1b by Victor Stinner (Julien) in branch 'master':
bpo-31045: Language switch (#2652)
https://github.com/python/cpython/commit/dff9b5f9d62aa0b23f8a255867d09d11890efd1b
msg299910 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-08 12:13
New changeset e93135dbb265e801c0000a19cd9c5428d57d1cf4 by Victor Stinner (Julien Palard) in branch '3.6':
bpo-31045: Language switch (#2652) (#3023)
https://github.com/python/cpython/commit/e93135dbb265e801c0000a19cd9c5428d57d1cf4
msg299911 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-08 12:14
New changeset 245dafca85097dd8b84f02b01f39f5d32091754b by Victor Stinner (Julien Palard) in branch '2.7':
bpo-31045: Language switch (#2652) (#3024)
https://github.com/python/cpython/commit/245dafca85097dd8b84f02b01f39f5d32091754b
msg299912 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-08 12:16
Even if changes are merged, I prefer to wait until the doc at docs.python.org is to date before closing the issue.
msg299931 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-08-08 15:17
For future reference, please make sure to include current release managers on proposed changes like this since doc building and distribution is part of the release process.
msg320910 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2018-07-02 19:56
New changeset 1b141b9553424971639bde281feb1d4e4e586dbe by larryhastings (Julien Palard) in branch '3.5':
Doc: Backport language switcher (bpo-33700, bpo-31045) (#8048)
https://github.com/python/cpython/commit/1b141b9553424971639bde281feb1d4e4e586dbe
History
Date User Action Args
2018-07-02 19:56:31larrysetnosy: + larry
messages: + msg320910
2017-08-09 11:55:18mdksetstatus: open -> closed
stage: patch review -> resolved
2017-08-08 15:17:12ned.deilysetnosy: + ned.deily
messages: + msg299931
2017-08-08 12:16:26vstinnersetmessages: + msg299912
versions: + Python 2.7
2017-08-08 12:14:25vstinnersetmessages: + msg299911
2017-08-08 12:13:55vstinnersetmessages: + msg299910
2017-08-08 11:56:21python-devsetpull_requests: + pull_request3058
2017-08-08 11:55:44python-devsetpull_requests: + pull_request3056
2017-08-07 08:27:24vstinnersetnosy: + vstinner
messages: + msg299831
2017-07-29 06:32:24mdksetnosy: + inada.naoki
messages: + msg299458
2017-07-29 02:25:57terry.reedysetassignee: docs@python
type: enhancement
components: + Documentation
versions: + Python 3.6, Python 3.7
nosy: + docs@python, terry.reedy

messages: + msg299447
stage: patch review
2017-07-26 14:10:14mdkcreate